GET /katello/api/organizations/114267492/flatpak_remotes
200
{
"total": 1,
"subtotal": 1,
"selectable": 1,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": "name",
"order": "asc"
},
"results": [
{
"name": "Red Hat Flatpak Remote",
"url": "https://flatpaks.redhat.io/rhel/",
"description": null,
"username": null,
"seeded": true,
"registry_url": null,
"id": 228288065,
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"last_scan": null,
"upstream_password_exists": false,
"last_scan_words": null
}
],
"has_redhat_flatpak_remote": true
}
| Param name | Description |
|---|---|
|
organization_id
required |
organization identifier Validations:
|
|
name
optional |
Name of the flatpak remote Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
| Field name | Type | Possible values |
|---|---|---|
| name | string | |
| organization_id | integer | |
| registry_url | string | |
| url | string |
GET /katello/api/flatpak_remotes/228288065 204
| Param name | Description |
|---|---|
|
id
required |
Flatpak remote numeric identifier Validations:
|
|
organization_id
optional |
organization identifier Validations:
|
POST /katello/api/flatpak_remotes
{
"name": "test",
"url": "https://test.com",
"organization_id": 114267492,
"flatpak_remote": {
"name": "test",
"url": "https://test.com",
"organization_id": 114267492
}
}
204
| Param name | Description |
|---|---|
|
name
required |
name Validations:
|
|
url
required |
Base URL of the flatpak registry index, ex: flatpaks.redhat.io/rhel/ , registry.fedoraproject.org/. Validations:
|
|
organization_id
required |
organization identifier Validations:
|
|
description
optional |
Description of the flatpak remote Validations:
|
|
username
optional |
Username for the flatpak remote Validations:
|
|
token
optional |
Token/password for the flatpak remote Validations:
|
PUT /katello/api/flatpak_remotes/228288065
{
"name": "test",
"flatpak_remote": {
"name": "test"
}
}
200
{
"name": "test",
"url": "https://flatpaks.redhat.io/rhel/",
"description": null,
"username": null,
"seeded": true,
"registry_url": null,
"id": 228288065,
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"last_scan": null,
"upstream_password_exists": false,
"last_scan_words": null
}
| Param name | Description |
|---|---|
|
description
optional |
Description of the flatpak remote Validations:
|
|
username
optional |
Username for the flatpak remote Validations:
|
|
token
optional |
Token/password for the flatpak remote Validations:
|
|
id
required |
Flatpak remote numeric identifier Validations:
|
|
name
optional |
name Validations:
|
|
url
optional |
Base URL of the flatpak registry index, ex: flatpaks.redhat.io/rhel/ , registry.fedoraproject.org/. Validations:
|
DELETE /katello/api/flatpak_remotes/228288065
{
"flatpak_remote": {}
}
204
| Param name | Description |
|---|---|
|
id
required |
Flatpak remote numeric identifier Validations:
|
POST /katello/api/flatpak_remotes/228288065/scan
{
"flatpak_remote": {}
}
204
| Param name | Description |
|---|---|
|
id
required |
Flatpak remote numeric identifier Validations:
|